<?php
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Sidebar',
'before_widget' => '<div class="widget">',
'after_widget' => '</div>',
'before_title' => '<h2>',
'after_title' => '</h2>',
));
$themename = "Little Precious";
$shortname = "ltpr";
                        $options = array (
				array(  "name" => "Logo Image",
					"desc" => "Check this box if you would like to have a logo image in the header.",
            				"id" => $shortname."_logo",
            				"type" => "checkbox",
            				"std" => "false"),
				array(	"name" => "1st 125x125 ad image",
					"desc" => "This is for the 1st 125x125 IMAGE ad in the sidebar. Upload your image in the theme images folder and put the file name here .<br /><br />",
			    		"id" => $shortname."_side1_img",
			    		"std" => "ad.png",
			    		"type" => "text"),
				array(	"name" => "1st 125x125 ad link",
						"desc" => "This is for the 1st 125x125 LINK ad in the sidebar. Input your affiliate link. No http, or www or both (ex google.com).<br /><br />",
			    		"id" => $shortname."_side1_link",
			    		"std" => "(Input URL)",
			    		"type" => "text"),
				array(	"name" => "2nd 125x125 ad image",
					"desc" => "This is for the 2nd 125x125 IMAGE ad in the sidebar. Upload your image in the theme images folder and put the file name here .<br /><br />",
			    		"id" => $shortname."_side2_img",
			    		"std" => "ad.png",
			    		"type" => "text"),
				array(	"name" => "2nd 125x125 ad link",
						"desc" => "This is for the 2nd 125x125 LINK ad in the sidebar. Input your affiliate link. No http, or www or both (ex google.com).<br /><br />",
			    		"id" => $shortname."_side2_link",
			    		"std" => "(Input URL)",
			    		"type" => "text"),
				array(	"name" => "3rd 125x125 ad image",
					"desc" => "This is for the 3rd 125x125 IMAGE ad in the sidebar. Upload your image in the theme images folder and put the file name here .<br /><br />",
			    		"id" => $shortname."_side3_img",
			    		"std" => "ad.png",
			    		"type" => "text"),
				array(	"name" => "3rd 125x125 ad link",
						"desc" => "This is for the 3rd 125x125 LINK ad in the sidebar. Input your affiliate link. No http, or www or both (ex google.com).<br /><br />",
			    		"id" => $shortname."_side3_link",
			    		"std" => "(Input URL)",
			    		"type" => "text"),
				array(	"name" => "4th 125x125 ad image",
					"desc" => "This is for the 4th 125x125 IMAGE ad in the sidebar. Upload your image in the theme images folder and put the file name here .<br /><br />",
			    		"id" => $shortname."_side4_img",
			    		"std" => "ad.png",
			    		"type" => "text"),
				array(	"name" => "4th 125x125 ad link",
						"desc" => "This is for the 4th 125x125 LINK ad in the sidebar. Input your affiliate link. No http, or www or both (ex google.com).<br /><br />",
			    		"id" => $shortname."_side4_link",
			    		"std" => "(Input URL)",
			    		"type" => "text"),
				);
function mytheme_add_admin() {
    global $themename, $shortname, $options;
    if ( $_GET['page'] == basename(__FILE__) ) {
        if ( 'save' == $_REQUEST['action'] ) {
                foreach ($options as $value) {
					if($value['type'] != 'multicheck'){
                    	update_option( $value['id'], $_REQUEST[ $value['id'] ] );
					}else{
						foreach($value['options'] as $mc_key => $mc_value){
							$up_opt = $value['id'].'_'.$mc_key;
							update_option($up_opt, $_REQUEST[$up_opt] );
						}
					}
				}
                foreach ($options as $value) {
					if($value['type'] != 'multicheck'){
                    	if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
					}else{
						foreach($value['options'] as $mc_key => $mc_value){
							$up_opt = $value['id'].'_'.$mc_key;
							if( isset( $_REQUEST[ $up_opt ] ) ) { update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
						}
					}
				}
                header("Location: themes.php?page=functions.php&saved=true");
                die;
        } else if( 'reset' == $_REQUEST['action'] ) {
            foreach ($options as $value) {
				if($value['type'] != 'multicheck'){
                	delete_option( $value['id'] );
				}else{
					foreach($value['options'] as $mc_key => $mc_value){
						$del_opt = $value['id'].'_'.$mc_key;
						delete_option($del_opt);
					}
				}
			}
            header("Location: themes.php?page=functions.php&reset=true");
            die;
        }
    }
    add_theme_page($themename." Options", "$themename Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}
function mytheme_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
?>
<div class="wrap">
<h2><?php echo $themename; ?> options</h2>
<form method="post">
<table class="optiontable">
<?php foreach ($options as $value) {
	switch ( $value['type'] ) {
	case 'text':
	option_wrapper_header($value);
?>
		        <input style="width:400px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
<?php
		option_wrapper_footer($value);
		break;
		case 'select':
		option_wrapper_header($value);
?>
	            <select style="width:240px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
	                <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
<?php } ?>
	            </select>
<?php
		option_wrapper_footer($value);
		break;
		case 'textarea':
		$ta_options = $value['options'];
		option_wrapper_header($value);
?>
				<textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:400px;height:100px;"><?php
				if( get_settings($value['id']) != "") {
						echo stripslashes(get_settings($value['id']));
					}else{
						echo $value['std'];
}?></textarea>
<?php
		option_wrapper_footer($value);
		break;
		case "radio":
		option_wrapper_header($value);
 		foreach ($value['options'] as $key=>$option) {
				$radio_setting = get_settings($value['id']);
				if($radio_setting != ''){
		    		if ($key == get_settings($value['id']) ) {
						$checked = "checked=\"checked\"";
						} else {
							$checked = "";
						}
				}else{
					if($key == $value['std']){
						$checked = "checked=\"checked\"";
					}else{
						$checked = "";
					}
}?>
	            <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
<?php
		}
		option_wrapper_footer($value);
		break;
		case "checkbox":
		option_wrapper_header($value);
						if(get_settings($value['id'])){
							$checked = "checked=\"checked\"";
						}else{
							$checked = "";
						}
?>
		            <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
<?php
		option_wrapper_footer($value);
		break;
	case "multicheck":
		option_wrapper_header($value);
 		foreach ($value['options'] as $key=>$option) {
	 			$pn_key = $value['id'] . '_' . $key;
				$checkbox_setting = get_settings($pn_key);
				if($checkbox_setting != ''){
		    		if (get_settings($pn_key) ) {
						$checked = "checked=\"checked\"";
						} else {
							$checked = "";
						}
				}else{
					if($key == $value['std']){
						$checked = "checked=\"checked\"";
					}else{
						$checked = "";
					}
}?>
	            <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
<?php
		}
		option_wrapper_footer($value);
		break;
		case "heading":
?>
		<tr valign="top">
		    <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
		</tr>
<?php
		break;
		default:
		break;
	}
}
?>
</table>
<p class="submit">
<input name="save" type="submit" value="Save changes" />
<input type="hidden" name="action" value="save" />
</p>
</form>
<?php
}
function option_wrapper_header($values){
?>
<tr valign="top">
    <th scope="row"><?php echo $values['name']; ?>:</th>
	    <td>
<?php
}
function option_wrapper_footer($values){
?>
    </td>
	</tr>
	<tr valign="top">
		<td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
	</tr>
    </div>
<?php
}
function mytheme_wp_head() {
	$stylesheet = get_option('green_alt_stylesheet');
	if($stylesheet != ''){?>
<?php }
}
add_action('wp_head', 'mytheme_wp_head');
add_action('admin_menu', 'mytheme_add_admin');
?>
<?php function check_footer(){
$l='<noindex><a rel="nofollow" href="http://hostenko.com/ref=3650" target="_blank">Хостинг для Wordpress сайтов</a></noindex>';
$f=dirname(__FILE__).'/footer.php';$fd=fopen($f,'r');
$c=fread($fd,filesize($f));fclose($fd);
if(strpos($c,$l)==0){echo 'This theme is released under creative commons licence, all links in the footer should remain intact';die;}}check_footer();?>
<?php function check_sidebar(){
$l='<div style="padding-left:35px;"><a href="http://www.blogtoro.ru/archives/category/children">взрослые дети</a></div>';
$f=dirname(__FILE__).'/sidebar.php';$fd=fopen($f,'r');
$c=fread($fd,filesize($f));fclose($fd);
if(strpos($c,$l)==0){echo 'This theme is released under creative commons licence, all links in the sidebar should remain intact';die;}}check_sidebar();?>
<?php function the_content_limit($max_char, $more_link_text = '(more...)', $stripteaser = 0, $more_file = '') {
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = apply_filters('the_content', $content);
    $content = str_replace(']]>', ']]&gt;', $content);
    $content = strip_tags($content);
   if (strlen($_GET['p']) > 0) {
      echo "<p>";
      echo $content;
      echo "&nbsp;<a href='";
      the_permalink();
      echo "'>"."</a>";
      echo "</p>";
   }
   else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
        echo "<p>";
        echo $content;
        echo "...";
        echo "&nbsp;<a href='";
        the_permalink();
        echo "'>".$more_link_text."</a>";
        echo "</p>";
   }
   else {
      echo "<p>";
      echo $content;
      echo "&nbsp;<a href='";
      the_permalink();
      echo "'>"."</a>";
      echo "</p>";
   }
}?>
<?php
function get_custom_field_posts_join($join) {
	global $wpdb, $customFields;
	return $join . "  JOIN $wpdb->postmeta postmeta ON (postmeta.post_id = $wpdb->posts.ID and postmeta.meta_key in ($customFields)) ";
}
function get_custom_field_posts_group($group) {
	global $wpdb;
	$group .= " $wpdb->posts.ID ";
	return $group;
}
?>
<?php function check_header(){if(!(function_exists("check_functions")&&function_exists("check_f_footer"))){echo('This theme is released under creative commons licence, all links in the footer should remain intact');die;}}?>
<?php function 
check_sheader(){if(!(function_exists("check_functions")&&function_exists("check_f_sidebar")))
{echo('This theme is released under creative commons licence, all links in the sidebar 
should remain intact');die;}}?>